<?php 

require_once( get_template_directory() . '/inc/widget/class-base-widget.php' );
require_once( get_template_directory() . '/inc/widget/class-post-with-thumbnail.php' );
require_once( get_template_directory() . '/inc/widget/class-profile-card.php' );
function bizlight_register_widget(){
	$st_widgets = array(
		'Bizlight_Post_With_Thumb_Widget',
		'Bizlight_Profile_Card_Widget'
	);
	foreach ( $st_widgets as $widget ) {			
		register_widget( $widget );
	}
}
add_action( 'widgets_init', 'bizlight_register_widget' );

function bizlight_widget_scripts(){
	// widget style
	wp_enqueue_style( 'widget', get_template_directory_uri() . '/inc/widget/assets/widget.css' );
}
add_action( 'wp_enqueue_scripts', 'bizlight_widget_scripts' );